Bug 807390 - Adding perl-Socket (>= 2.001) to RHEL6
Adding perl-Socket (>= 2.001) to RHEL6
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.4
Unspecified Linux
medium Severity medium
: rc
: ---
Assigned To: RHEL Product and Program Management
nobody nobody
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 12:33 EDT by Noriko Hosoi
Modified: 2017-12-06 06:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:48:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noriko Hosoi 2012-03-27 12:33:50 EDT
Description of problem:
> Marcela Mašláňová wrote:
> The Socket module 2.000 will be in next perl release 5.16. Our plan is put it into RHEL-7.
> For RHEL-6 you will have to file a bugzilla for adding new package.
>
> Marcela 

Red Hat Directory Server uses perl script to set up the server first.  The script verifies the hostname and the IP address.  To support the pure IPv6 network environment, Socket module 2.000 is needed.

Based upon the suggestion from Marcela (Thank you!), opening a bugzilla to add the perl-Socket (>= 2.000) to RHEL6.4.
Comment 2 Petr Pisar 2012-03-28 03:47:58 EDT
At least Socket-2.001 is needed because it fixes a buffer overflow.
Comment 4 RHEL Product and Program Management 2012-09-07 01:03:27 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2013-10-13 20:44:51 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 6 Jan Kurik 2017-12-06 06:48:25 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.